Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.modelo
Class Alternativa

    java.lang.Object
      eia.modelo.Alternativa

All Implemented Interfaces:
  java.lang.Cloneable

    public class Alternativa

extends java.lang.Object
implements java.lang.Cloneable

Clase que implementa una alternativa de realización de un proyecto.

Constructor Summary
`Alternativa()` Constructor por defecto.
`Alternativa(java.lang.String id)` Constructor por parámetro.

Method Summary
`void` | `calcularValorTotal()` Función para calcular el valor total de impacto de la alternativa, estableciendo dicho valor en el atributo 'valorTotal'.
`java.lang.Object` | `clone()` Función para clonar el objeto Alternativa.
`javax.swing.tree.DefaultTreeModel` | `getAcciones()` Accesor para el atributo 'acciones'.
`java.util.ArrayList<Efecto>` | `getEfectos()` Accesor para el atributo 'efectos'.
`java.lang.String` | `getId()` Accesor para el atributo 'id'.
`boolean` | `getValorada()` Accesor para el atributo 'valorada'.
`double` | `getValorTotal()` Accesor para el atributo 'valorTotal'.
`void` | `setAcciones(javax.swing.tree.DefaultTreeModel acciones)` Mutador para el atributo 'acciones'.
`void` | `setEfectos(java.util.ArrayList<Efecto> efectos)` Mutador para el atributo 'efectos'.
`void` | `setId(java.lang.String id)` Mutador para el atributo 'id'.
`void` | `setValorada(boolean valorada)` Mutador para el atributo 'valorada'.
`void` | `setValorTotal(double valorTotal)` Mutador para el atributo 'valorTotal'.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Alternativa

    public Alternativa()

  Constructor por defecto.

### Alternativa

    public Alternativa(java.lang.String id)

  Constructor por parámetro.

  Parameters:
    `id` - Nombre de la alternativa de realización.

Method Detail

### getId

    public java.lang.String getId()

  Accesor para el atributo 'id'.

  Returns:
    Nombre de la alternativa de realización.

### setId

    public void setId(java.lang.String id)

  Mutador para el atributo 'id'.

  Parameters:
    `id` - Nombre a asignar a la alternativa de realización.

### getEfectos

    public java.util.ArrayList<Efecto> getEfectos()

  Accesor para el atributo 'efectos'.

  Returns:
    Lista de efectos asociados a la alternativa de realización.

### setEfectos

    public void setEfectos(java.util.ArrayList<Efecto> efectos)

  Mutador para el atributo 'efectos'.

  Parameters:
    `efectos` - Lista de efectos a asociar a la alternativa de realización.

### getValorTotal

    public double getValorTotal()

  Accesor para el atributo 'valorTotal'.

  Returns:
    Valor total del impacto de la alternativa de realización.

### setValorTotal

    public void setValorTotal(double valorTotal)

  Mutador para el atributo 'valorTotal'.

  Parameters:
    `valorTotal` - Valor total del impacto a asociar a la alternativa.

### getAcciones

    public javax.swing.tree.DefaultTreeModel getAcciones()

  Accesor para el atributo 'acciones'.

  Returns:
    Arbol de acciones asociadas a la alternativa de realización.

### setAcciones

    public void setAcciones(javax.swing.tree.DefaultTreeModel acciones)

  Mutador para el atributo 'acciones'.

  Parameters:
    `acciones` - Lista de acciones a asociar a la alternativa de realización.

### getValorada

    public boolean getValorada()

  Accesor para el atributo 'valorada'.

  Returns:
    Indica si la alternativa ha sido valorada.

### setValorada

    public void setValorada(boolean valorada)

  Mutador para el atributo 'valorada'.

  Parameters:
    `valorada` - Valor a asignar al atributo.

### calcularValorTotal

    public void calcularValorTotal()

  Función para calcular el valor total de impacto de la alternativa, estableciendo dicho valor en el atributo 'valorTotal'.

### clone

    public java.lang.Object clone()

  Función para clonar el objeto Alternativa.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Copia del objeto Alternativa.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD